<?php

/**
 * Function for changing links and color hue. -- START
 */
function dw_cybex_color_changer( $wp_customize ) {
	$wp_customize->add_section(
		'dw-cybex-coloring-section',
		array(
			'title'    => __( 'Theme Colors', 'dw-cybex' ),
			'priority' => '80',
		)
	);
	/**
	 * HUE Selection - START
	 */
	$wp_customize->add_control(
		'labels',
		array(
			'type'        => 'button',
			'settings'    => array(),
			'label'       => __( 'Header Text Bar Color:', 'dw-cybex' ),
			'description' => esc_html__( 'Change the color of the theme.', 'dw-cybex' ),
			'priority'    => 10,
			'section'     => 'dw-cybex-coloring-section',
			'input_attrs' => array(
				'value'   => __( 'Get pro for this feature!', 'dw-cybex' ),
				'class'   => 'button-secondary',
				'onclick' => "window.open('https://www.designwicked.com/premium-cybex', '_blank')",
			),
		)
	);

	/**
	 * HUE Selection - END
	 */

	/**
	 * Background Gradient Top - START
	 */
	$wp_customize->add_setting(
		'dw_cybex_bg_gradient_top',
		array(
			'default'           => '#111111',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dw_cybex_bg_gradient_top',
			array(
				'label'       => __( 'Background Gradient Colors:', 'dw-cybex' ),
				'section'     => 'dw-cybex-coloring-section',
				'description' => esc_html__( 'Site background gradient. (Ignore if you have a background image.)', 'dw-cybex' ),
				'settings'    => 'dw_cybex_bg_gradient_top',
			)
		)
	);
	/**
	 * Background Gradient Section - END
	 */

	/**
	 * Background Gradient Top - START
	 */
	$wp_customize->add_setting(
		'dw_cybex_bg_gradient_bot',
		array(
			'default'           => '#060000',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dw_cybex_bg_gradient_bot',
			array(
				'section'  => 'dw-cybex-coloring-section',
				'settings' => 'dw_cybex_bg_gradient_bot',
			)
		)
	);
	/**
	 * Background Gradient Section - END
	 */

	/**
	 * Main Text Section - START
	 */
	$wp_customize->add_setting(
		'dw_cybex_maintext_color',
		array(
			'default'           => '#1f1f1f',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dw_cybex_maintext_color',
			array(
				'label'       => __( 'Global Text Color:', 'dw-cybex' ),
				'section'     => 'dw-cybex-coloring-section',
				'description' => esc_html__( 'Base text that are not links.', 'dw-cybex' ),
				'settings'    => 'dw_cybex_maintext_color',
			)
		)
	);
	/**
	 * Main Text Section - END
	 */

	$wp_customize->add_setting(
		'dw_cybex_links_color',
		array(
			'default'           => '#330b0b',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dw_cybex_links_color',
			array(
				'label'       => __( 'Link Color:', 'dw-cybex' ),
				'section'     => 'dw-cybex-coloring-section',
				'description' => esc_html__( 'Change the color of anchor links.', 'dw-cybex' ),
				'settings'    => 'dw_cybex_links_color',
			)
		)
	);

	/**
	 * Link Hover Section - START
	 */
	$wp_customize->add_setting(
		'dw_cybex_links_hover_color',
		array(
			'default'           => '#aa2525',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dw_cybex_links_hover_color',
			array(
				'label'       => __( 'Link Hover Color:', 'dw-cybex' ),
				'section'     => 'dw-cybex-coloring-section',
				'description' => esc_html__( 'Change the color of anchor hover.', 'dw-cybex' ),
				'settings'    => 'dw_cybex_links_hover_color',
			)
		)
	);
	/**
	 * Link Hover Section - END
	 */

	/**
	 * Mega Menu Link Color Section - START
	 */
	$wp_customize->add_control(
		'labels1',
		array(
			'type'        => 'button',
			'settings'    => array(),
			'label'       => __( 'Menu Link Color:', 'dw-cybex' ),
			'description' => esc_html__( 'Link color for mega menu.', 'dw-cybex' ),
			'priority'    => 10,
			'section'     => 'dw-cybex-coloring-section',
			'input_attrs' => array(
				'value'   => __( 'Get pro for this feature!', 'dw-cybex' ),
				'class'   => 'button-secondary',
				'onclick' => "window.open('https://www.designwicked.com/premium-cybex', '_blank')",
			),
		)
	);
	/**
	 * Mega Menu Link Color Section - END
	 */

	/**
	 * Mega Menu Link Hover Color Section - START
	 */
	$wp_customize->add_control(
		'labels2',
		array(
			'type'        => 'button',
			'settings'    => array(),
			'label'       => __( 'Menu Link Hover Color:', 'dw-cybex' ),
			'description' => esc_html__( 'Hover link color for menu.', 'dw-cybex' ),
			'priority'    => 10,
			'section'     => 'dw-cybex-coloring-section',
			'input_attrs' => array(
				'value'   => __( 'Get pro for this feature!', 'dw-cybex' ),
				'class'   => 'button-secondary',
				'onclick' => "window.open('https://www.designwicked.com/premium-cybex', '_blank')",
			),
		)
	);

	/**
	 * Mega Menu Link Hover Color Section - END
	 */

	/**
	 * Center Widget Title Section - START
	 */
	$wp_customize->add_control(
		'labels3',
		array(
			'type'        => 'button',
			'settings'    => array(),
			'label'       => __( 'Header Text Bar Color:', 'dw-cybex' ),
			'description' => esc_html__( 'Header text bar font coloring.', 'dw-cybex' ),
			'priority'    => 10,
			'section'     => 'dw-cybex-coloring-section',
			'input_attrs' => array(
				'value'   => __( 'Get pro for this feature!', 'dw-cybex' ),
				'class'   => 'button-secondary',
				'onclick' => "window.open('https://www.designwicked.com/premium-cybex', '_blank')",
			),
		)
	);

	/**
	 * Center Widget Title Section - END
	 */

	/**
	 * Side Widget Title Section - START
	 */
	$wp_customize->add_control(
		'labels4',
		array(
			'type'        => 'button',
			'settings'    => array(),
			'label'       => __( 'Side/Top/Bottom Widget Title Color:', 'dw-cybex' ),
			'description' => esc_html__( 'Widget title color for outer blocks.', 'dw-cybex' ),
			'priority'    => 10,
			'section'     => 'dw-cybex-coloring-section',
			'input_attrs' => array(
				'value'   => __( 'Get pro for this feature!', 'dw-cybex' ),
				'class'   => 'button-secondary',
				'onclick' => "window.open('https://www.designwicked.com/premium-cybex', '_blank')",
			),
		)
	);

	/**
	 * Side Widget Title Section - END
	 */

	/**
	 * Center Widget Title Section - START
	 */
	$wp_customize->add_setting(
		'dw_cybex_centerh2_color',
		array(
			'default'           => '#330b0b',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'dw_cybex_centerh2_color',
			array(
				'label'       => __( 'Center Widget Title Color:', 'dw-cybex' ),
				'section'     => 'dw-cybex-coloring-section',
				'description' => esc_html__( 'Widget title color for center blocks.', 'dw-cybex' ),
				'settings'    => 'dw_cybex_centerh2_color',
			)
		)
	);

	/**
	 * Center Widget Title Section - END
	 */
}
add_action( 'customize_register', 'dw_cybex_color_changer' );

function dw_cybex_inline_style() {

	$text_color         = get_theme_mod( 'dw_cybex_links_color', '#330b0b' );
	$text_hover_color   = get_theme_mod( 'dw_cybex_links_hover_color', '#aa2525' );
	$megamenu_link      = get_theme_mod( 'dw_cybex_megamenu_link_color', '#1f1f1f' );
	$megamenu_linkhover = get_theme_mod( 'dw_cybex_megamenu_link_hover_color', '#330b0b' );
	$maintext           = get_theme_mod( 'dw_cybex_maintext_color', '#1f1f1f' );
	$sidebarh2          = get_theme_mod( 'dw_cybex_sidebarh2_color', '#1f1f1f' );
	$centerh2           = get_theme_mod( 'dw_cybex_centerh2_color', '#330b0b' );
	$bg_gradient_top    = get_theme_mod( 'dw_cybex_bg_gradient_top', '#111111' );
	$bg_gradient_bot    = get_theme_mod( 'dw_cybex_bg_gradient_bot', '#060000' );
	$headertext_bar     = get_theme_mod( 'dw_cybex_textbar_color', '#414141' );

	$custom_css = "
	:root {
		--links: {$text_color};
		--links-hover: {$text_hover_color};
		--article-hover: {$text_color};
		--maintext: {$maintext};
		--titles: {$sidebarh2};
		--titles2: {$centerh2};
		--megamenu-a: {$megamenu_link};
		--megamenu-a-hover: {$megamenu_linkhover};
    	--bodygradient-top: {$bg_gradient_top};
		--bodygradient-bot: {$bg_gradient_bot};
		--socialbar: {$headertext_bar};
	}";

	wp_add_inline_style( 'dw-cybex-style', $custom_css );
}
add_action( 'wp_enqueue_scripts', 'dw_cybex_inline_style' );

/**
 * Function for changing links and color hue. -- END
 */

function dw_cybex_remove_customizer_sections( $wp_customize ) {
	$wp_customize->remove_section( 'colors' );
}
add_action( 'customize_register', 'dw_cybex_remove_customizer_sections' );
