<?php

// Add Footer Text Box section to customize
function dw_cybex_fcontent( $wp_customize ) {
	$wp_customize->add_section(
		'dw-cybex-fcontent-section', 
		array(
			'title' => __( 'Footer Text Box', 'dw-cybex' ),
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Control(
			$wp_customize,
			'dw-cybex-fcontent-text-control', 
			array(
				'type'        => 'button',
				'settings'    => array(),
				'label'       => __( 'Get this feature with premium!', 'dw-cybex' ),
				'priority'    => 10,
				'section'     => 'dw-cybex-fcontent-section',
				'input_attrs' => array(
					'value'   => __( 'Click Here!', 'dw-cybex' ),
					'class'   => 'button-secondary',
					'onclick' => "window.open('https://www.designwicked.com/premium-cybex', '_blank')",
				),
			)
		)
	);
}

add_action( 'customize_register', 'dw_cybex_fcontent' );

function dw_cybex_search_form( $form ) {
	$form = '<form method="get" id="searchform" action="' . home_url( '/' ) . '" >
	<input type="text" value="' . get_search_query() . '" name="s" placeholder="What can we help you find?">
	<button type="submit">Search</button>
	</form>';

		return $form;
}

add_filter( 'get_search_form', 'dw_cybex_search_form' );


// Add Background Image upsell section to customize
function dw_cybex_bg_upsell( $wp_customize ) {
	$wp_customize->add_section(
		'dw-cybex-bg-upsell-section', 
		array(
			'title'    => __( 'Background Image', 'dw-cybex' ),
			'priority' => 100,
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Control(
			$wp_customize,
			'dw-cybex-bg-upsell-text-control', 
			array(
				'type'        => 'button',
				'settings'    => array(),
				'label'       => __( 'Get this feature with premium!', 'dw-cybex' ),
				'priority'    => 10,
				'section'     => 'dw-cybex-bg-upsell-section',
				'input_attrs' => array(
					'value'   => __( 'Click Here!', 'dw-cybex' ),
					'class'   => 'button-secondary',
					'onclick' => "window.open('https://www.designwicked.com/premium-cybex', '_blank')",
				),
			)
		)
	);
}

add_action( 'customize_register', 'dw_cybex_bg_upsell' );
