<?php

//Social Bar
function dw_cybex_socialbar( $wp_customize ) {
	$wp_customize->add_section(
		'dw_cybex_socialbar_section',
		array(
			'title'       => esc_html__( 'Text And Social Bar', 'dw-cybex' ),
			'description' => esc_html__( 'Add Social Bar Content', 'dw-cybex' ),
			'priority'    => '84',
		)
	);

	//Show /Hide Social Bar
	$wp_customize->add_setting(
		'dw_cybex_display_topbar',
		array(
			'default'           => esc_html__( 'No', 'dw-cybex' ),
			'sanitize_callback' => 'dw_cybex_sanitize_html',
		)
	);

	$wp_customize->add_control(
		'label-sb',
		array(
			'type'        => 'button',
			'settings'    => array(),
			'label'       => __( 'Display Text/Socialbar Toggle:', 'dw-cybex' ),
			'priority'    => 10,
			'section'     => 'dw_cybex_socialbar_section',
			'input_attrs' => array(
				'value'   => __( 'Get pro for this feature!', 'dw-cybex' ),
				'class'   => 'button-secondary',
				'onclick' => "window.open('https://www.designwicked.com/premium-cybex', '_blank')",
			),
		)
	);

	//Topbar Text
	$wp_customize->add_control(
		'label-sb1',
		array(
			'type'        => 'button',
			'settings'    => array(),
			'label'       => __( 'Text Bar Field:', 'dw-cybex' ),
			'priority'    => 10,
			'section'     => 'dw_cybex_socialbar_section',
			'input_attrs' => array(
				'value'   => __( 'Get pro for this feature!', 'dw-cybex' ),
				'class'   => 'button-secondary',
				'onclick' => "window.open('https://www.designwicked.com/premium-cybex', '_blank')",
			),
		)
	);
	
	//Social Icons
	$wp_customize->add_setting(
		'dw_cybex_facebook_url',
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'dw_cybex_facebook_url',
		array(
			'label'       => esc_html__( 'Facebook Link:', 'dw-cybex' ),
			'description' => esc_html__( '--Erase the field and make blank to remove icons.', 'dw-cybex' ),
			'section'     => 'dw_cybex_socialbar_section',
			'setting'     => 'dw_cybex_facebook_url',
			'type'        => 'url',
		)
	);

	$wp_customize->add_setting(
		'dw_cybex_gplus_url',
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'dw_cybex_gplus_url',
		array(
			'label'   => esc_html__( 'Google+ Link:', 'dw-cybex' ),
			'section' => 'dw_cybex_socialbar_section',
			'setting' => 'dw_cybex_gplus_url',
			'type'    => 'url',
		)
	);
	
	$wp_customize->add_control(
		'label-sb2',
		array(
			'type'        => 'button',
			'settings'    => array(),
			'label'       => __( 'Twitter Link:', 'dw-cybex' ),
			'priority'    => 10,
			'section'     => 'dw_cybex_socialbar_section',
			'input_attrs' => array(
				'value'   => __( 'Get pro for this feature!', 'dw-cybex' ),
				'class'   => 'button-secondary',
				'onclick' => "window.open('https://www.designwicked.com/premium-cybex', '_blank')",
			),
		)
	);
	
	$wp_customize->add_control(
		'label-sb3',
		array(
			'type'        => 'button',
			'settings'    => array(),
			'label'       => __( 'Linkedin Link:', 'dw-cybex' ),
			'priority'    => 10,
			'section'     => 'dw_cybex_socialbar_section',
			'input_attrs' => array(
				'value'   => __( 'Get pro for this feature!', 'dw-cybex' ),
				'class'   => 'button-secondary',
				'onclick' => "window.open('https://www.designwicked.com/premium-cybex', '_blank')",
			),
		)
	);
	
	$wp_customize->add_control(
		'label-sb4',
		array(
			'type'        => 'button',
			'settings'    => array(),
			'label'       => __( 'Instagram Link:', 'dw-cybex' ),
			'priority'    => 10,
			'section'     => 'dw_cybex_socialbar_section',
			'input_attrs' => array(
				'value'   => __( 'Get pro for this feature!', 'dw-cybex' ),
				'class'   => 'button-secondary',
				'onclick' => "window.open('https://www.designwicked.com/premium-cybex', '_blank')",
			),
		)
	);
	
	$wp_customize->add_control(
		'label-sb5',
		array(
			'type'        => 'button',
			'settings'    => array(),
			'label'       => __( 'Youtube Link:', 'dw-cybex' ),
			'priority'    => 10,
			'section'     => 'dw_cybex_socialbar_section',
			'input_attrs' => array(
				'value'   => __( 'Get pro for this feature!', 'dw-cybex' ),
				'class'   => 'button-secondary',
				'onclick' => "window.open('https://www.designwicked.com/premium-cybex', '_blank')",
			),
		)
	);
	
	$wp_customize->add_control(
		'label-sb6',
		array(
			'type'        => 'button',
			'settings'    => array(),
			'label'       => __( 'Discord Link:', 'dw-cybex' ),
			'priority'    => 10,
			'section'     => 'dw_cybex_socialbar_section',
			'input_attrs' => array(
				'value'   => __( 'Get pro for this feature!', 'dw-cybex' ),
				'class'   => 'button-secondary',
				'onclick' => "window.open('https://www.designwicked.com/premium-cybex', '_blank')",
			),
		)
	);
	
}
add_action( 'customize_register', 'dw_cybex_socialbar' );
